# OESDepthTexture (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengles
Class OESDepthTexture

    java.lang.Object
      org.lwjgl.opengles.OESDepthTexture

    public final class OESDepthTexture

extends java.lang.Object

Field Summary
`static int` `GL_DEPTH_COMPONENT` Accepted by the <format> parameter of TexImage2D and TexSubImage2D and <internalFormat> parameter of TexImage2D:
`static int` `GL_UNSIGNED_INT` Accepted by the <type> parameter of TexImage2D, TexSubImage2D:
`static int` `GL_UNSIGNED_SHORT` Accepted by the <type> parameter of TexImage2D, TexSubImage2D:

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_DEPTH_COMPONENT

    public static final int GL_DEPTH_COMPONENT

  Accepted by the <format> parameter of TexImage2D and TexSubImage2D and <internalFormat> parameter of TexImage2D:

  See Also:
    Constant Field Values

### GL_UNSIGNED_SHORT

    public static final int GL_UNSIGNED_SHORT

  Accepted by the <type> parameter of TexImage2D, TexSubImage2D:

  See Also:
    Constant Field Values

### GL_UNSIGNED_INT

    public static final int GL_UNSIGNED_INT

  Accepted by the <type> parameter of TexImage2D, TexSubImage2D:

  See Also:
    Constant Field Values

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.